Bug 1277505 - Review Request: jssc - Java Simple Serial Connector
Review Request: jssc - Java Simple Serial Connector
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Chen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1194551
  Show dependency treegraph
 
Reported: 2015-11-03 08:34 EST by Damian Wrobel
Modified: 2015-12-13 04:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-12 23:23:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
barracks510: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Damian Wrobel 2015-11-03 08:34:53 EST
Spec URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SPECS/jssc.spec
SRPM URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SRPMS/jssc-2.8.0-1.fc22.src.rpm
Description: jSSC (Java Simple Serial Connector) - library for working with serial ports from Java.
Fedora Account System Username: dwrobel
Comment 1 Upstream Release Monitoring 2015-11-03 08:43:38 EST
dwrobel's scratch build of jssc-2.8.0-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11686916
Comment 2 Dennis Chen 2015-11-23 23:34:20 EST
Hi, I'd be happy to review this formally.

MUST FIX:
 - The SPEC File does not match the source RPM.
 - JSSC seems to be have some code licensed GPLv3+ and others LGPLv3+. Using the FSF compatibility matrix, the combination must be distributed GPLv3+.

Everything else seems fine.
Comment 3 Damian Wrobel 2015-11-25 15:06:50 EST
Please find updated both spec & srpm with fixes for all aforementioned issues.

Spec URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SPECS/jssc.spec
SRPM URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SRPMS/jssc-2.8.0-3.fc23.src.rpm
Comment 4 Upstream Release Monitoring 2015-11-25 15:19:21 EST
dwrobel's scratch build of jssc-2.8.0-3.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11980040
Comment 5 Dennis Chen 2015-11-25 15:30:11 EST
Approved.
Comment 6 Till Maas 2015-11-26 16:38:17 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/jssc
Comment 7 Fedora Update System 2015-12-01 12:04:49 EST
jssc-2.8.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7e3ce91e3d
Comment 8 Fedora Update System 2015-12-01 12:06:16 EST
jssc-2.8.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b1ed622527
Comment 9 Damian Wrobel 2015-12-01 12:10:30 EST
(In reply to Dennis Chen from comment #5)
> Approved.

Dennis,

Thank you for reviewing this package.
Comment 10 gil cattaneo 2015-12-02 06:47:21 EST
hi
in 
install -d %{buildroot}%{jni} \
           %{buildroot}%{_jnidir} \
           

%{buildroot}%{_jnidir} is not necessary
maven-local or javapackages-local handle the jar file in "automatic"

%{_jnidir}/%{name}.jar

is also not usefull
%attr(644, root, root) %{_datadir}/maven-metadata/%{name}.xml
you should changes as

%files -f .mfiles
%license COPYING
%doc README.txt
%{jni}/


javadoc should be installed by

%mvn_install -J javadoc

and install -d %{buildroot}%{_javadocdir}/%{name} is no more necessary

instead of maven-local you should use javapackages-local

Regards, and sorry for the noise
Comment 11 Fedora Update System 2015-12-03 11:03:07 EST
jssc-2.8.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update jssc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7e3ce91e3d
Comment 12 Fedora Update System 2015-12-03 20:38:21 EST
jssc-2.8.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update jssc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b1ed622527
Comment 13 Damian Wrobel 2015-12-04 15:14:07 EST
(In reply to gil cattaneo from comment #10)
> instead of maven-local you should use javapackages-local
> 
Gil, thanks for your hints, I started to look at them and compare with packaging guidelines [1] and I found that e.g. [1] clearly states the following:

"Java packages MUST BuildRequire their respective build system:

    BuildRequires: maven-local for packages built with Maven"

and there is no single reference that javapackages-local can be used as a substitute for maven-local in this case.

So is there any specification on top of it which overwrites this or I misunderstood or missed something?

[1]. https://fedoraproject.org/wiki/Packaging:Java#BuildRequires_and_Requires
Comment 14 gil cattaneo 2015-12-04 15:26:30 EST
(In reply to Damian Wrobel from comment #13)
> (In reply to gil cattaneo from comment #10)
> > instead of maven-local you should use javapackages-local
> > 
> Gil, thanks for your hints, I started to look at them and compare with
> packaging guidelines [1] and I found that e.g. [1] clearly states the
> following:
> 
> "Java packages MUST BuildRequire their respective build system:
> 
>     BuildRequires: maven-local for packages built with Maven"
> 
> and there is no single reference that javapackages-local can be used as a
> substitute for maven-local in this case.

Only if the package provide a pom.xml file and use that for build the package
in this case you use only java-devel. javapackages-local is enough

> So is there any specification on top of it which overwrites this or I
> misunderstood or missed something?
> 
> [1]. https://fedoraproject.org/wiki/Packaging:Java#BuildRequires_and_Requires
see also https://fedorahosted.org/released/javapackages/doc/#_generic_java_builds
regards
Comment 15 gil cattaneo 2015-12-04 15:32:36 EST
Other trick
Remove
BuildRequires:	jpackage-utils
BuildRequires:	maven-local

Requires:	java-headless
Requires:	jpackage-utils

and add 
BuildRequires:	javapackages-local

because jpackage-utils is an alias of javapackages-tools

.
Comment 16 gil cattaneo 2015-12-04 15:42:07 EST
Damian javapackages-tools-doc package provides https://fedorahosted.org/released/javapackages/doc
Comment 17 gil cattaneo 2015-12-06 07:05:55 EST
Hi,
sorry for the noise.

This is not necessary:
Please, remove 
%doc %{_javadocdir}/%{name}
Please, use: %files javadoc -f .mfiles-javadoc
Please, remove
Requires:	java-headless
Requires:	jpackage-utils

The requirements list is generated with Fedora java tools 
(javapackages-tools >> javapackages-local)

and install license file also in this sub package
e.g.

%files javadoc -f .mfiles-javadoc
%license COPYING

%package javadoc
Summary:        Javadoc for %{name} package
BuildArch:      noarch
Please, remove >> Requires:       %{name} = %{version}
This is "contrary" to the guidelines of Fedora
is usually applied in this way. but in this case is not necessary/ useless
Requires:       %{name} = %{version}-%{release}
Comment 18 Fedora Update System 2015-12-12 23:23:20 EST
jssc-2.8.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-12-13 04:51:37 EST
jssc-2.8.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.